---
title: '<noframes>: The Frame Fallback element'
slug: Web/HTML/Element/noframes
tags:
  - Element
  - Frames
  - HTML
  - HTML frames
  - Obsolete
  - Reference
  - Web
  - noframes
---
<div>{{obsolete_header}}</div>

<p><span class="seoSummary">The obsolete HTML <strong>No Frames</strong> or <strong>frame fallback</strong> element, <strong><code>&lt;noframes&gt;</code></strong>, provides content to be presented in browsers that don't support (or have disabled support for) the {{HTMLElement("frame")}} element.</span> Although most commonly-used browsers support frames, there are exceptions, including certain special-use browsers including some mobile browsers, as well as text-mode browsers.</p>

<p>A <code>&lt;noframes&gt;</code> element can contain any HTML elements that are allowed within the body of an HTML document, with the exception of the {{HTMLElement("frameset")}} and {{HTMLElement("frame")}} elements, since using frames when they aren't supported doesn't make sense.</p>

<p><code>&lt;noframes&gt;</code> can be used to present a message explaining that the user's browser doesn't support frames, but ideally should be used to present an alternate form of the site that doesn't use frames but still offers the same or similar functionality.</p>

<div class="note">
<p>In HTML 5 and later, <code>&lt;noframes&gt;</code> is obsolete and shouldn't be used, since the {{HTMLElement("frame")}} and {{HTMLElement("frameset")}} elements are also obsolete. When frames are needed at all, they should be presented using the {{HTMLElement("iframe")}} element.</p>
</div>

<h2 id="Attributes">Attributes</h2>

<p>Like all other HTML elements, this element supports the <a href="/en-US/HTML/Global_attributes" title="HTML/Global attributes">global attributes</a>. It has no other attributes available.</p>

<h2 id="Example">Example</h2>

<p>In this example, we see a frameset with two frames. In addition, <code>&lt;noframes&gt;</code> is used to present an explanatory message if the {{Glossary("user agent")}} doesn't support frames.</p>

<pre class="brush:html">&lt;frameset cols="50%,50%"&gt;
  &lt;frame src="https://developer.mozilla.org/en/HTML/Element/frameset" /&gt;
  &lt;frame src="https://developer.mozilla.org/en/HTML/Element/frame" /&gt;
  &lt;noframes&gt;&lt;p&gt;It seems your browser does not support frames or is
  configured to not allow them.&lt;/p&gt;&lt;/noframes&gt;
&lt;/frameset&gt;</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML5 W3C', '#noframes', 'noframes')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td> </td>
  </tr>
  <tr>
   <td>{{SpecName('HTML4.01', 'frames.html#edef-NOFRAMES', '&lt;noframes&gt;')}}</td>
   <td>{{Spec2('HTML4.01')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("html.elements.noframes")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTMLElement("frameset")}}</li>
 <li>{{HTMLElement("frame")}}</li>
</ul>

<p>{{HTMLRef}}</p>
